> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Depart train

> Depart a train from a station.



## OpenAPI

````yaml /user-docs/api-reference/work_order.swagger.json post /t/v1/depart-train
openapi: 3.0.1
info:
  title: protobuf/arms/work_order.proto
  version: version not set
servers:
  - description: Production (US)
    url: https://api-lg-k-h1.arms.cedarai.com
  - description: Production (EU)
    url: https://api-lg-k-h1.arms.cedarai.se
security:
  - ApiKeyAuth: []
    AssumeUserAuth: []
tags:
  - name: WorkOrderService
paths:
  /t/v1/depart-train:
    post:
      tags:
        - WorkOrderService
      summary: Depart train
      description: Depart a train from a station.
      operationId: DepartTrain
      parameters:
        - description: Carrier ID
          in: header
          name: Carrier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/armsDepartTrainRequest'
        description: >-
          Request message for recording a train departure from a station or
          location. Used when a train leaves to begin its journey or move to the
          next location.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    armsDepartTrainRequest:
      description: >-
        Request message for recording a train departure from a station or
        location. Used when a train leaves to begin its journey or move to the
        next location.
      example:
        auto_uncomplete_tasks: true
        exception: Departure delayed due to equipment issue
        station_id: 11111
        timestamp: '2024-01-15T14:30:00Z'
        work_order_id: '12345'
      properties:
        autoCloseTasks:
          description: Automatically close open tasks as INCOMPLETE.
          type: boolean
        exception:
          type: string
        stationId:
          format: int64
          type: string
        timestamp:
          format: date-time
          type: string
        workOrderId:
          type: string
      required:
        - workOrderId
      title: Depart Train Request
      type: object
    rpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      properties:
        '@type':
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-arms-api-key
      type: apiKey
    AssumeUserAuth:
      in: header
      name: x-arms-assume-user
      type: apiKey

````